Subject: g90 CASSCF snafu

From: [email-masked] (Max Muir )
Date: Fri, 19 Aug 94 14:35:45 -0700

// Subject: CCL:g90 CASSCF calc snafu

 CALCULATION TERMINATED
 ATTEMPT TO DO ORBITAL ROTATION GREATER THAN 45 DEGREES
 YOU HAVE CHOSEN THE WRONG STARTING ORBITALS

// my original request

Hi Folks,

I am trying to optimise the ts from reaction of a hydrogen atom
with water.  I have a good starting geometry but I have not been
able to set up the GAUSSIAN 90 input file correctly.

%chk=g90.chk
# CAS(3,6)/6-31G* 

         ts from rxn of H radical with H2O

0 2
H
O,1,L1
H,2,L2,1,A1
H,3,L3,2,A2,1,D1

L1=0.978
L2=1.332
L3=0.834
A1=99.405
A2=166.700
D1=0.00000

GAUSSIAN  gets through to the MCSCF program and then . . 

 ENTER MCSCF PROGRAM 
 NO. OF ORBITALS = 21     NO. OF CORE-ORBITALS =  4
 NO. OF VALENCE-ORBITALS =  6      NO. OF VIRTUAL-ORBITALS = 11
 USED ACCURACY IN CHECKING CONVEGERGENCE =      .00000001
       15246 Words of memory needed for 4-index transformation.
      957327 Words available.
 NO. LOADS IN INTEGRAL SORT           3
 2ND ORD PT ENERGY     CV    -.211077   CU    -.073915   UV    -.213784
 TOTAL                     -76.584803

 **********

 CALCULATION TERMINATED
 ATTEMPT TO DO ORBITAL ROTATION GREATER THAN 45 DEGREES 
 YOU HAVE CHOSEN THE WRONG STARTING ORBITALS

**********
 Error termination in Lnk1e.
bsh: 21078 Memory fault

// end

//////////////////////////////// Replies ///////////////////////////////////////

//////////////////// 1.  Professor Brian Salter-Duke ///////////////////////////

From: [email-masked]

The problem is exactly what it says. Try doing a ROHF calculation first 
and then "guess=read" on the control card.

My experience is never to do CASSCF from the INDO guess orbitals.
I also found Gaussian a bit flaky with CASSCF and now use Gamess (US)
most of the time for this method.

///////////////////////////// 2.  Mike Robb ///////////////////////////////////

Your CASSCF problem arises from two possible sources

1)Your starting orbitals are really bad.  Run Guess=only and plot them up.

2)your active space is well defined but you are far from the solution.  Use
  damping to take very small steps

iop(5/8=1000)  plus 1 card read iin

8f10.8  4 damp factors 3 level shifters and facuv

set level shifters to zero, try all 4 damp factors at 0.5 and
set facuv to 2.0

//////////////////////////// 3.  Paolo Celani //////////////////////////////////

Max,
ONLY IF YOU ARE SURE ABOUT YOUR ACTIVE SPACE, try the 'Damping Factor'.

Simply add in your input section 

iop(5/8=1000)  (to read Damping Factor from input stream)

and at the end of your input a card like this:

0.8       0.8       0.8       0.8       0.0       0.0       0.0       2.0

Feel free to put 0.7 or less (instead of 0.8) if your job fails again but
respect the format 8F10.0 .
Damping Factor reduce rotation during orbitals optimization:
small number --> small rotation (and slower convergence).
The card 

1.0       1.0       1.0       1.0       0.0       0.0       0.0       2.0

is equivalent to NO DAMPING FACTOR. 

Tricks:

1) Initially converge 1.00D-04 using Damping Factor then 1.00D-08 without
Damping Factor reading MOs of the previous calculation: 
convergence with very small damping (0.5 or less) is very slow !!

2) If you want to optimize a geometry, remember to include a card of factors
for every optimization step you want to do.

After few minutes, I obtain for your molecule 

 ... DO AN EXTRA-ITERATION FOR FINAL PRINTING
          ( 1)     EIGENVALUE     -.76468807E+02
 (    1) -.9993363 (   32) -.0349278 (    9)  .0079868 (   16) -.0051853 (   62)
 -.0023699 (   14)  .0017577 (   49) -.0016274
 (   58) -.0015389 (   54) -.0009098 (   41)  .0007686 (   44) -.0006247 (   34)
  .0005725 (   29)  .0002402 (   59)  .0002377
 (   27) -.0002224 (   36) -.0002200 (   24)  .0001895 (   22)  .0001660 (   51)
  .0001569 (   66)  .0001276 (   53)  .0001270
 (   48)  .0001058 (    2) -.0000639 (   57)  .0000626 (   39)  .0000584 (   31)
 -.0000581 (   64)  .0000546 (    4) -.0000535
 (   46) -.0000494 (   56)  .0000487 (   61)  .0000425 (   42) -.0000246 (   60)
 -.0000244 (   52)  .0000242 (   67)  .0000195
 (   45) -.0000174 (   38) -.0000134 (   65) -.0000116 (   63)  .0000101 (   69)
 -.0000075 (   70) -.0000074 (   20)  .0000062
 (   68) -.0000055 (    7)  .0000013 (   12)  .0000003 (   11)  .0000000 (    8)
  .0000000 (   18)  .0000000 (   26)  .0000000
 (    6)  .0000000 (
 Final one electron symbolic density matrix:
             1             2             3             4             5
   1   .199735D+01
   2   .120217D-10   .100007D+01
   3  -.101313D-08  -.882599D-05   .119188D-03
   4  -.246629D-07  -.147793D-04  -.575646D-07   .244436D-02
   5   .115616D-08   .952015D-05  -.955718D-05   .571319D-08   .893392D-05
   6   .116636D-08  -.109691D-04   .817667D-05  -.172985D-08   .195170D-04
             6
   6   .150320D-04

REMEMBER: ALL OF THIS NEEDS A CORRECT ACTIVE SPACE, SO ... GIVE IT A
SECOND LOOK !!!

EXAMPLE OF INPUT 

%chk=g90.chk
# CAS(3,6)/6-31G* iop(5/8=1000) 

         ts from rxn of H radical with H2O

0 2
H
O,1,L1
H,2,L2,1,A1
H,3,L3,2,A2,1,D1

L1=0.978
L2=1.332
L3=0.834
A1=99.405
A2=166.700
D1=0.00000  

0.8       0.8       0.8       0.8       0.0       0.0       0.0       2.0

///////////////////////////// 4.  John J. Nash /////////////////////////////////

Dear Max,

I would be most interested in a summary of the replies that you receive
to your G90 CASSCF "snafu". I have experienced this problem many times
myself but have always managed to get around it in one way or another.
For example, occasionally rebuilding the z-matrix will help. Also, this
problem seems to depend upon the starting geometry and I have gotten it
to run by simply "tweaking" the geometry a bit.

The error message was designed (I think) to indicate if the active orbitals
in the MCSCF were chosen incorrectly. I believe that this message comes
up when the program tries to move an orbital out of the initial active
space (i.e., orbital rotation of 90 degrees is a equivalent to swapping
the two orbitals).

Again, I would greatly appreciate a summary of the replies.

///////////////////////////// 5.  Doug Fox /////////////////////////////////////

  Dr. Muir,

  The problem which gives the "ORBITAL ROTATION GREATER THAN 45"
error is that the MCSCF has found a lower solution interchanging one of
the MO's in the active space with one of the virtual or core orbitals.
You need to go back to a smaller basis and try to select the right 
active space.

  Try using UHF/STO-3G POP=FULL and look at the orbitals.  You may need
to use GUESS=ALTER to get the right ones as the highest occupied and
lowest unoccupied.  In the case of H plus water this will be basically
a sigma set.  Also think about how many electrons are involved.  You have
only one OH bond set with three electrons.  You may need to increase theis
to five electrons to get a sensible description.   Once you have a 
minimum basis solution you can use the checkpoint file, specify this
with %chk on each of the above jobs, and GUESS=READ with a 3-21G basis,
again single point, to start bootstrapping your self up to a sensible
initial guess for 6-31G*.

[email-masked]

////////////////////////////// end of replies //////////////////////////////////

// In conclusion

Adding iop(5/8=1000) to the command line seemed to fix the problem.  As I was
doing an optimisation I needed additional input lines at the end of the file.

                      'L2'
                O - - - - - - - H.
               / A1            A2 `. L3
           L1 /                     `.
             /                        H
            H

Everything appeared to go smoothly.  I ran a series of calcs at 'L2' equal to
1.2, 1.3, 1.4, 1.6, 1.8, 2.0 which is roughly the 'reactant' side of the barrier
(i.e., HO radical + H2 ) tho I have so far not been able to attain convergence
on the 'product' side (HOH + H radical).

       L2                           L3        L1
  H-O .... H-H        Energy       H-H       O--H

      1.0
      1.1
      1.2           -76.518426    0.817      0.981
      1.3           -76.529535    0.778      0.983
      1.4           -76.540262    0.759      0.984
      1.5           -76.548827    0.749      0.984
      1.6           -76.554195    0.742      0.984
      1.7
      1.8           -76.563893    0.735      0.984
      1.9
      2.0           -76.561859    0.737      0.981

Here's my input file . . 

%chk=g90.chk
# CAS(5,7)/6-31G* iop(5/8=1000) SCFCYC=500 OPT OPTCYC=10

         ts from rxn of H radical with H2O

0 2
H
O,1,L1
H,2,1.400,1,A1
H,3,L3,2,A2,1,0.0

L1=0.978
L3=0.834
A1=99.405
A2=166.700

0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0
0.4       0.4       0.4       0.4       0.0       0.0       0.0       2.0

// end